<main id="timetracker" class="container mt-4">
    <div class="row mt-4">
        <div class="col-12 text-right">
            <button class="btn btn-primary rounded" data-i18n="Create new timer" data-toggle="modal" data-target="#createTimerModal">Create new timer</button>

            <button class="btn btn-primary rounded" id="addTimeEntry" data-i18n="Add time entry">Add time entry</button>
            <button class="btn btn-outline-info rounded" data-toggle="modal" data-target="#timerInfoModal"><i class="fa fa-info" aria-hidden="true"></i></button>
        </div>
    </div>

    <div class="row mt-4">
        <div class="col-12">
            <h2 class="task-section-title" data-i18n="Open / Active Tasks">Open / Active Tasks</h2>
            {% for task in open_tasks %}

                <div class="task-item">
                    <div class="task-info">
                        <span><strong>{{ task.getData().title}}</strong></span>
                        <span>{{ task.getData().notice}}</span>
                    </div>
                    <div class="task-time">
                        <i class="fas fa-clock"></i> <span class="ml-2" data-timer="{{ task.getData().id }}"> 00:00:00</span>
                    </div>
                    <div class="task-controls">
                        {% if task.getData().state == "running" %}
                            <button class="btn" data-paused-task="{{ task.getData().id }}"><i class="fas fa-pause"></i></button>
                        {% else %}
                            <button class="btn" data-play-task="{{ task.getData().id }}"><i class="fas fa-play"></i></button>
                        {% endif %}

                        <button class="btn" data-stop-task="{{ task.getData().id }}"><i class="fas fa-stop"></i></button>
                    </div>
                </div>
            {% endfor %}

            <h2 class="task-section-title" data-i18n="Completed Tasks">Completed Tasks</h2>
            <div id="closed-task-items">
                {% for closed_task in closed_tasks %}
                <div class="task-item">
                    <div class="task-info">
                        <span><strong>{{ closed_task.getData().title}}</strong></span>
                        <span>{{ closed_task.getData().notice}}</span>
                    </div>
                    <div class="task-time">
                        <i class="fas fa-clock"></i> <span class="ml-2" data-timer="{{ closed_task.getData().id }}"> 00:00:00</span>
                    </div>
                    <div class="task-controls">
                        <button class="btn" data-edit-task="{{ closed_task.getData().id }}" data-toggle="modal" data-target="#editTaskModal"><i class="fas fa-pen"></i></button>
                    </div>
                </div>
                {% endfor %}
            </div>

        </div>
    </div>
</main>


<!-- Modal - Neue Aufgabe erstellen -->
<div class="modal" id="createTimerModal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" data-i18n="Create a new task">Create a new task</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group">
                        <label for="taskTitle" data-i18n="Title">Title</label>
                        <input type="text" class="form-control" id="taskTitle" placeholder="">
                    </div>
                    <div class="form-group">
                        <label for="taskNotice" data-i18n="Notice">Notice</label>
                        <textarea class="form-control" id="taskNotice" rows="3" placeholder=""></textarea>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary rounded" data-dismiss="modal" data-i18n="Cancel">Cancel</button>
                <button type="button" class="btn btn-primary rounded" id="createTimer" data-i18n="Start">Start</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal - Edit Modal -->
<div id="editTaskModalContainer"></div>

<!-- Modal - Timer Info Modal -->
<div class="modal" id="timerInfoModal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" data-i18n="Timer-Tracker Legend">Timer-Tracker Legend</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="legend-container">
                    <div class="section">
                        <h5 data-i18n="General Sections">General Sections</h5>
                            <ul>
                                <li><strong data-i18n="Open / Active Tasks">Open / Active Tasks</strong> <span data-i18n="Section listing all currently open and active tasks.">Section listing all currently open and active tasks.</span></li>
                                <li><strong data-i18n="Completed Tasks">Completed Tasks</strong> <span data-i18n="Section listing all completed tasks.">Section listing all completed tasks.</span></li>
                            </ul>
                    </div>

                    <div class="section">
                        <h5 data-i18n="Functions and Symbols">Functions and Symbols</h5>
                        <ul>
                            <li><strong data-i18n="Create New Timer:">Create New Timer</strong> <span data-i18n="Create a new task and timer.">Create a new task and timer.</span></li>
                            <li><strong data-i18n="Log Time:">Log Time:</strong> <span data-i18n="Manually log the time spent and add it to a task.">Manually log the time spent and add it to a task.</span></li>
                            <li>( <i class="fas fa-play"></i> ) <strong data-i18n="Play Icon:">Play Icon:</strong> <span data-i18n="Starts the timer for the respective task.">Starts the timer for the respective task.</span></li>
                            <li>( <i class="fas fa-pause"></i> ) <strong data-i18n="Pause Icon:">Pause Icon:</strong> <span data-i18n="Pauses the current timer for the respective task.">Pauses the current timer for the respective task.</span></li>
                            <li>( <i class="fas fa-stop"></i> ) <strong data-i18n="Stop Icon:">Stop Icon:</strong> <span data-i18n="Stops the timer for the respective task.">Stops the timer for the respective task.</span></li>
                            <li>( <i class="fas fa-pen"></i> ) <strong data-i18n="Edit Icon:">Edit Icon:</strong> <span data-i18n="Allows editing the details of a completed task.">Allows editing the details of a completed task.</span></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="modal-footer"></div>
        </div>
    </div>
</div>